# $Id: smeserver-fetchmail.spec,v 1.29 2009/10/21 17:55:57 vip-ire Exp $
# Authority: ???
# Name: Pascal Schirrmann

Summary: sme module to generate fetchmail poll
%define name smeserver-fetchmail
Name: %{name}
%define version 1.3.6
%define release 21
%define smepanel FetchMails
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-fetchmail-1.3.6-createlnks.patch
Patch1: smeserver-fetchmail-1.3.6-duplocale.patch
Patch2: smeserver-fetchmail-1.3.6-locale-2008-04-24.patch
Patch3: smeserver-fetchmail-1.3.6-locale-2008-04-26.patch
Patch4: smeserver-fetchmail-1.3.6-add2general.patch
Patch5: smeserver-fetchmail-1.3.6-locale-2008-04-27.patch
Patch6: smeserver-fetchmail-1.3.6-locale-2008-07-01.patch
Patch7: smeserver-fetchmail-1.3.6-locale-2008-10-14.patch
Patch8: smeserver-fetchmail-1.3.6-locale-2008-11-05.patch
Patch9: smeserver-fetchmail-1.3.6-locale-2009-01-01.patch
Patch10: smeserver-fetchmail-1.3.6-locale-2009-01-31.patch
Patch11: smeserver-fetchmail-1.3.6-locale-2009-03-01.patch
Patch12: smeserver-fetchmail-1.3.6-locale-2009-03-03.patch
Patch13: smeserver-fetchmail-1.3.6-domainlength.patch
Patch14: smeserver-fetchmail-1.3.6-erroronexpandtemplate.patch
Patch15: smeserver-fetchmail-1.3.6-locale-2009-04-07.patch
Patch16: smeserver-fetchmail-1.3.6-locale-2009-04-27.patch
Patch17: smeserver-fetchmail-1.3.6-locale-2009-08-24.patch
Patch18: smeserver-fetchmail-1.3.6-locale-2009-10-21.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release >= 7.3  
Requires: e-smith-email >= 4.16.0-18
Requires: e-smith-formmagick >= 1.4.0-12
BuildRequires: e-smith-devtools >= 1.13.1-03
Obsoletes: sme-fetchmail
Obsoletes: smeserver-fetchmail-utf8
AutoReqProv: no

%changelog
* Wed Oct 21 2009 SME Translation Server <translations@contribs.org> 1.3.6-21.sme
- apply locale 2009-10-21 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 1.3.6-20.sme
- apply locale 2009-08-24 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 1.3.6-19.sme
- apply locale 2009-04-27 patch

* Tue Apr  7 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-18
- Fix error during template expansion [SME: 5147]
- Apply 7 Apr 2009 locale patch

* Thu Mar 5 2009 Shad L. Lords <slords@mail.com> 1.3.6-17
- Fix domainlength issues [SME: 5037]

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-15
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sat Jan 31 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-14
- Apply 31 Jan 2009 locale patch [SME: 4951]

* Thu Jan  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-13
- Apply  1 Jan 2009 locale patch [SME: 4900]

* Wed Nov  5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-12
- Apply  5 Nov 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-11
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-10
- Apply 1 July 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-9
- Apply 5 May 2008 locale patch

* Sun Apr 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-8
- Add common <base> tags to e-smith-formmagick's general to other locales

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-7
- Add common <base> tags to e-smith-formmagick's general

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-6
- Added da locale patch

* Thu Apr 24 2008 Shad L. Lords <slords@mail.com> 1.3.6-5
- update locale to Apr-24-2008 version (fix fr/de/it translations)

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-4
- Added locale patch

* Mon Apr 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.3.6-3
- Removed %post macro as instructions were irrelevant and caused errors

* Mon Apr 21 2008 Shad L. Lords <slords@mail.com> 1.3.6-2.sme
- Remove duplicate translation entries

* Sun Apr 20 2008 Shad L. Lords <slords@mail.com> 1.3.6-1.sme
- Cleanup tar file.  Prepare for import to buildsys.

* Tue Mar 20 2007 Pascal Schirrmann <schirrms@schirrms.net>
- some translations typo create troubles on new installations. 
- Thanks to Dietmar Berteld, new German Translation
[1.3.5-01]
* Mon Mar 05 2007 Pascal Schirrmann <schirrms@schirrms.net>
- SME 7.1 came with a major change in the incomming mails work: internal mails weren't any more processed by 
  SpamAssassin. But mails coming via fetchmails were seen as local mails !
  SME 7.1.1 come with a workaround for that, and this version uses this workaround.
  Therefore, version 1.3.5 and up are no more comatible with SME 7.1.0 and below
  Big thanks to Yves for his help
- Experimental support for SPOP mail (tested with gmail only)
- Better support of the fetchmail postmaster configuration.
- Adds the long waited 'timeout' option to limit the wait time in case of a non responding server (1 min default)
  This is a system wide configuration, and only by the database.
[1.3.5-00]
* Wed Oct 25 2006 Pascal Schirrmann <schirrms@schirrms.net>
- SME7 now supports login name with a dot. But this brokes some parts of smeserver-fetchmail,
  if case of multi recipients (smeserver-fetchmail use qmail groups, who don't like dot in their filename)
[1.3.4-10]
* Wed Apr 26 2006 Pascal Schirrmann <schirrms@schirrms.net>
- some features were broken in SME 7, due to changes in the actions directory
  I made my best to create a version working on SME 6 and SME 7 but this is ugly !
- IMAP is now the default choice when creating a new fetch rule, as fetchmail
  works better with IMAP than POP3.
- Thanks to Dietmar Berteld, a german translation
[1.3.4-09]
* Sat Jan 14 2006 Pascal Schirrmann <schirrms@schirrms.net>
- SMEServer is an obsoleted package. Version check now on e-smith-release
- New English version, thanks to Dave Dumolo
- A Mail server can now be set by its IP address
- some changes to hopefully suppress all errors during uninstall/upgrade
[1.3.4-08]
* Sat Oct 22 2005 Pascal Schirrmann <schirrms@schirrms.net>
- bug correction : smeserver-fetchmail didn't work on SME7beta4
  and newer : there was a call to a sessiondir sub in the package
  FormMagick, but this sub is no longer present.
  As the call was only here for debug purpose, the change was easy ;-)
[1.3.4-07]
* Fri Aug 19 2005 Pascal Schirrmann <schirrms@schirrms.net>
- Rush correction : the use of the smarthost as a destination
  server for fetchmail was a terrible mistake.
  now the server use the internal mail server.
- also trying to use a more academic patch way for the 
  intermediate releases.
[1.3.4-06]
* Tue Aug 02 2005 Pascal Schirrmann <schirrms@schirrms.net>
- add a test to be compatible with SME 7.0 Alpha
- put the destination server as a variable
- add the italian translation, many thanks to
      Antonio Fragola - MrShark - www.mrshark.it 
[1.3.4-05]
* Sat Apr 30 2005 Pascal Schirrmann <schirrms@schirrms.net>
- change a record creation mode in fetchmail_temp.db to
  be compatible with the SME 6.5 validator
- change the offending fm% prefix to fm_fm-
[1.3.4-04]
* Sat Feb 05 2005 Vincent Filali <vincent@e-smith.dyndns.org>
- Some changes to be more compatible with anti spam mailrules
[1.3.4-03]
* Thu Jun 03 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Some visuals improvments in the footer update ;-)
[1.3.4-02]
* Wed Jun 02 2004 Pascal Schirrmann <schirrms@schirrms.net>
- add a mail ref in the panels.
[1.3.4-01]
* Sun May 30 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Some ligth internals changes : add of a version field in 
  database, use of const in some perl scrips, separator changes
  in the user database.
- It's now possible to have more than one external e-mail
  redirection.
- possibiliy to block SMTP and NNTP access.
[1.3.4-00]
* Mon May 10 2004 Pascal Schirrmann <schirrms@schirrms.net>
- account and password are stored 'in Hex' to avoid conflicts.
- Seems that every characters could be use in external names
  and password, but the pipe cannit be use : FormMagick
  doesn't like it !
[1.3.3-02]
* Mon May 10 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Some small changes in 'special characters' protection in
  90fetchmail.
[1.3.3-01]
* Sun May 09 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Even simpler, even safer : as the TransOption can
  conflict with the Ghost Option i removed it
[1.3.3-00]
* Sun May 09 2004 Pascal Schirrmann <schirrms@schirrms.net>
- the use of maillist is a success ;-) so we use now
  also the maillist for an external mail
[1.3.2-01]
* Sun May 09 2004 Pascal Schirrmann <schirrms@schirrms.net>
- brand new way for MailCopyTo : creation of mail lists
  (all prefixed by FM% to avoid name clash) and use of theses
  lists to distribute a mail.
[1.3.2-00]
* Sat May 08 2004 Pascal Schirrmann <schirrms@schirrms.net>
- MailCopyto bahavior change : the option 'fetchall' is no
  more present
  (this was a wrong way: see above)
[1.3.1-02]
* Fri May 07 2004 Pascal Schirrmann <schirrms@schirrms.net>
- BugFix: In debug mode, only one ext mailboxe was debuged
[1.3.1-01]
* Fri May 07 2004 Pascal Schirrmann <schirrms@schirrms.net>
- All Fetchmails records in user database now prefixed 'FM-'
[1.3.1-00]
* Sun May 02 2004 Pascal Schirrmann <schirrms@schirrms.net>
- French Lexicon added.
[1.3.0-03]
* Sun May 02 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Some changes in 90fetchmail : now, alls access to the
  database are done 'new style'.
- Finals steps before a french version.
[1.3.0-02]
* Sat May 01 2004 Pascal Schirrmann <schirrms@schirrms.net>
- A little bug in crontab template.
- Cosmetics works.
[1.3.0-01]
* Sat May 01 2004 Pascal Schirrmann <schirrms@schirrms.net>
- First 'working' beta release. Need lot of cosmetics works.
- Change numbering to a more classical way.
[1.3.0-00]
* Sat Apr 24 2004 Pascal Schirrmann <schirrms@schirrms.net>
- intermediate 'release' should give a beta.
[1.3-0]
* Sun Mar 21 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Start a new release, FormMagick Compliant ;-)
- change the name to smeserver-fetchmail
[1.2-0]
* Mon Mar 15 2004 Pascal Schirrmann <schirrms@schirrms.net>
- This is a 'very light' version !
- Moved all templates to templates dir
- create an entry fetchmailbis in the database (name to change)
- fetchmailbis works even if fetchmail is desactivated
- no design change now
[1.1-01]
* Sun Mar 14 2004 Pascal Schirrmann <schirrms@schirrms.net>
- Start a new test release
[1.1-0]
* Fri Aug 24 2001 Filali-Ansary vincent <filali.v@tiscali.fr>
- initial release
[1.0-2]

%description
sme server enhancement to make fetchmail more useable

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

%build
perl createlinks
echo "%{version}-%{release}" >root/etc/e-smith/db/configuration/defaults/%{smepanel}/version

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
